v1
Get Dashboard
Aggregate workspace state for the operator dashboard.
GET
/
v1
/
workspace
/
dashboard
Get Dashboard
curl --request GET \
--url https://api.example.com/v1/workspace/dashboard \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/workspace/dashboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/workspace/dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agents": [
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_mtd_usd": 123,
"cost_today_usd": 123,
"last_activity_at": "<string>",
"name": "<string>",
"recent_task_names": [
"<string>"
],
"tasks_done_today": 123,
"tasks_failed_today": 123
}
],
"blockers": {
"failed_24h": [
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_name": "<string>",
"error": "<string>",
"occurred_at": "<string>",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"hitl": [
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_name": "<string>",
"created_at": "<string>",
"description": "<string>",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"wallet_exhausted": [
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_name": "<string>",
"budget_usd": 123,
"period": "<string>"
}
]
},
"daily_spend": [
{
"date": "<string>",
"usd": 123
}
],
"daily_tasks": [
{
"completed": 123,
"date": "<string>",
"failed": 123,
"input_required": 123
}
],
"spend": {
"cap_usd": 123,
"mtd_usd": 123,
"pct_of_cap": 123,
"projected_eom_usd": 123,
"today_usd": 123,
"projection_method": "linear-mtd"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful Response
⌘I
Get Dashboard
